# Enum Class VulkanAttachmentLoadOp

java.lang.Object
java.lang.Enum<VulkanAttachmentLoadOp>
com.io7m.jcoronado.api.VulkanAttachmentLoadOp

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanAttachmentLoadOp>`, `Constable`

public enum VulkanAttachmentLoadOp extends Enum<VulkanAttachmentLoadOp> implements VulkanEnumIntegerType

See Also:
  - "VkAttachmentLoadOp"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_ATTACHMENT_LOAD_OP_CLEAR`
  VK_ATTACHMENT_LOAD_OP_CLEAR specifies that the contents within the render area will be cleared to a uniform value, which is specified when a render pass instance is begun.
  `VK_ATTACHMENT_LOAD_OP_DONT_CARE`
  VK_ATTACHMENT_LOAD_OP_DONT_CARE specifies that the previous contents within the area need not be preserved; the contents of the attachment will be undefined inside the render area.
  `VK_ATTACHMENT_LOAD_OP_LOAD`
  VK_ATTACHMENT_LOAD_OP_LOAD specifies that the previous contents of the image within the render area will be preserved.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanAttachmentLoadOp`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanAttachmentLoadOp[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_ATTACHMENT_LOAD_OP_LOAD

    public static final VulkanAttachmentLoadOp VK_ATTACHMENT_LOAD_OP_LOAD
    VK_ATTACHMENT_LOAD_OP_LOAD specifies that the previous contents of the image within the render area will be preserved. For attachments with a depth/stencil format, this uses the access type VK_ACCESS_DEPTH_STENCIL_ATTACHMENT_READ_BIT. For attachments with a color format, this uses the access type VK_ACCESS_COLOR_ATTACHMENT_READ_BIT.

  - ### VK_ATTACHMENT_LOAD_OP_CLEAR

    public static final VulkanAttachmentLoadOp VK_ATTACHMENT_LOAD_OP_CLEAR
    VK_ATTACHMENT_LOAD_OP_CLEAR specifies that the contents within the render area will be cleared to a uniform value, which is specified when a render pass instance is begun. For attachments with a depth/stencil format, this uses the access type VK_ACCESS_DEPTH_STENCIL_ATTACHMENT_WRITE_BIT. For attachments with a color format, this uses the access type VK_ACCESS_COLOR_ATTACHMENT_WRITE_BIT.

  - ### VK_ATTACHMENT_LOAD_OP_DONT_CARE

    public static final VulkanAttachmentLoadOp VK_ATTACHMENT_LOAD_OP_DONT_CARE
    VK_ATTACHMENT_LOAD_OP_DONT_CARE specifies that the previous contents within the area need not be preserved; the contents of the attachment will be undefined inside the render area. For attachments with a depth/stencil format, this uses the access type VK_ACCESS_DEPTH_STENCIL_ATTACHMENT_WRITE_BIT. For attachments with a color format, this uses the access type VK_ACCESS_COLOR_ATTACHMENT_WRITE_BIT.

- ## Method Details

  - ### values

    public static VulkanAttachmentLoadOp[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanAttachmentLoadOp valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant